using skyscraper5.Skyscraper.Plugins;

namespace skyscraper5.Skyscraper
{
	internal static class ByteArrayExtensions
	{
		private static ByteArrayComparer _comparer;
		public static bool IsEqual(this byte[] a, byte[] b)
		{
			if (_comparer == null)
				_comparer = new ByteArrayComparer();

			return _comparer.Compare(a, b) == 0;
		}
	}
}
